Deployment error

Help
Roberto
2007-11-21
2013-04-26
  • Roberto

    Roberto - 2007-11-21

    Hi all,
    I've a problem... when I deploy the war generated by xins, the log shows the following log entry:

    FATAL -XINS/Java Server Framework cannot be bootstrapped. Invalid application package. The build property "org.xins.api.class", which defines the name of the API class, is set to "com.openwave.wm.xins.mmr.api.APIImpl", but that class cannot be loaded.-

    The APIImpl class is in correct package. what happens?

    Thank,

    Roberto.

     
    • Anthony Goubard

      Anthony Goubard - 2008-07-10

      Most of the time this is due to a Java version problem, like build with Java 5 and running with Java 1.4.

      Anthony

       
      • Ernst de Haan

        Ernst de Haan - 2008-07-10

        Although I never have this normally, I had this recently, earlier this week. In my case, restarting the application (Tomcat 6) was enough.

         

Log in to post a comment.